## NAME

CURLOPT_SSLENGINE - set SSL engine identifier

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SSLENGINE, char *id);

## DESCRIPTION

Pass a pointer to a zero terminated string as parameter. It will be used as the identifier for the crypto engine you want to use for your private key.

If the crypto device cannot be loaded, CURLE_SSL_ENGINE_NOTFOUND is returned.

## DEFAULT

NULL

## PROTOCOLS

All TLS based protocols: HTTPS, FTPS, IMAPS, POP3, SMTPS etc.

## EXAMPLE

TODO

## AVAILABILITY

If built TLS enabled.

## RETURN VALUE

Returns CURLE_OK if TLS is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

## SEE ALSO

CURLOPT_SSLENGINE_DEFAULT CURLOPT_SSLKEY

This HTML page was made with roffit.